/*------------------------------------*\
    #OBJECTS.TABLE
\*------------------------------------*/
/**
 * tabkeobject based that uses Foundation's table mixins/basic styles.
 */
@import '../1-utils/utils.loader';
@import '../0-settings/settings.objects';

$include-html-table-classes: $include-html-classes !default;

// These control the background color for the table and even rows
$table-bg: $drk-color-white;
$table-even-row-bg: $drk-color-light-blue;

// These control the table cell border style
$table-border-style: solid;
$table-border-size: 0;
$table-border-color: $drk-color-grey;

// These control the table head styles
$table-head-bg: $drk-color-light-grey;

$table-head-font-size: rem-calc(16) !default;
$table-head-font-color: $drk-color-black;
$table-head-font-weight: $font-weight-bold !default;
$table-head-padding: rem-calc(0) !default;

// These control the table foot styles
$table-foot-bg: $table-head-bg !default;
$table-foot-font-size: $table-head-font-size !default;
$table-foot-font-color: $table-head-font-color !default;
$table-foot-font-weight: $table-head-font-weight !default;
$table-foot-padding: $table-head-padding !default;

// These control the caption
$table-caption-bg: transparent;
$table-caption-font-color: $table-head-font-color;
$table-caption-font-size: rem-calc(16);
$table-caption-font-weight: bold;

// These control the row padding and font styles
$table-row-padding: rem-calc(10);
$table-row-font-size: rem-calc(12);
$table-row-font-color: $drk-color-black;
$table-line-height: rem-calc(24);

// These are for controlling the layout, display and margin of tables
$table-layout: auto !default;
$table-display: table-cell !default;
$table-margin-bottom: rem-calc(20) !default;

.#{$inuit-namespace}table,
%#{$inuit-namespace}table {
    // Include foundation's table mixins
    @include table;
}
